### Function Macro

# GLib dataset_remove_data

#### Declaration

    #define g_dataset_remove_data (
      l,
      k
    )

#### Description

Removes a data element corresponding to a string. Its destroy function is called if it has been set.

This function is not directly available to language bindings.

#### Parameters

`l`

  Type: `-`

  The location identifying the dataset.

`k`

  Type: `-`

  The string identifying the data element.